Subject: RE: Node Req: Issue26: 9.1.1 IPv6 Router Alert Option - RFC2711

From: [email-masked]
Date: Tue, 30 Sep 2003 07:25:30 +0300

Hi All,

I will update the doc according to the text Thomas proposed.

John

> -----Original Message-----
> From: ext Brian Haberman [mailto:[email-masked]]
> Sent: 29 September, 2003 21:35
> To: Thomas Narten
> Cc: Loughney John (NRC/Helsinki); [email-masked]
> Subject: Re: Node Req: Issue26: 9.1.1 IPv6 Router Alert 
> Option - RFC2711
> 
> 
> 
> 
> Thomas Narten wrote:
> 
> > [email-masked] writes:
> > 
> > 
> >>Reading 2711, there are some host / server specific issues 
> about 2711. 
> >>Suggested text:
> > 
> > 
> >>  IPv6 Router Alert Option specific [RFC-2711] defines a 
> new option in the
> > 
> > 
> > s/specific/specifically/?
> > 
> >>  IPv6 Hop-by-Hop Header. Hosts MAY support the router alert option 
> >>  defined. Nodes that generate RSVP message MUST implement 
> the router
> >>  alert option. The Router Alert Option [RFC-2711] MUST be 
> supported by 
> >>  nodes that perform packet forwarding at the IP layer 
> (i.e. - the node is
> >>  a router).
> > 
> > 
> > Router alerts are also required with MLD messages. So wording that
> > reflects this would be good. Indeed, I don't think the RSVP usage is
> > so important to mention, given that RSVP isn't mentioned 
> elsewhere in
> > the document. How about something like the following instead:
> > 
> >   The IPv6 Router Alert Option [RFC-2711] is an optional IPv6
> >   Hop-by-Hop Header that is used in conjunction with some protocols
> >   (e.g., RSVP [RFC XXX], or MLD [RFC XXX]). The Router Alert option
> >   will need to be implemented whenever protocols that mandate its
> >   usage are implemented.  See Section XXX-MLD.
> 
> I like Thomas' suggested text.  Only mentioning RSVP with respect
> to the router alert option is the wrong approach.
> 
> Regards,
> Brian
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------